# These are jobs run for vms, storage, etc

Job { # Backup Proxmox VZdumps
  Name     = "Backup-Proxmox"
  JobDefs  = "Default-System-Job"
  FileSet  = "Proxmox Backups"
}

# Proxmox backup fileset
FileSet {
  Name = "Proxmox Backups"
  Include { 
    Options { 
	  wilddir = "*.tmp" # Ignore directories matching *.tmp
	  signature = MD5
	  exclude = yes 
	} 
	File = "/mnt/Proxmox"
  }
}


Job { # Backup Robotics Team's Files
  Name     = "Backup-Robotics"
  JobDefs  = "Default-System-Job"
  FileSet  = "Google-Drive Robotics"
  Messages = RoboticsMail
}

# 1721's google drive
FileSet {
  Name = "Google-Drive Robotics"
  Include {
    Options {
      signature = MD5
    }
    File = "/mnt/1721_Drive/"
  }
}

messages { # Send mail to the robotics team
   name = RoboticsMail
   mail = kenwood364@gmail.com = all, !skipped
   file = "/etc/bacula/scripts/webhooks/RoboticsMail.md" = all, !skipped
   console = all, !skipped, !saved
   catalog = all
}


Job { # Backup Everything in gitea
  Name     = "Backup-Gitea"
  JobDefs  = "Default-System-Job"
  FileSet  = "Gitea"
}

# Gittea storage location on zinc
FileSet {
  Name = "Gitea"
  Include {
    Options {
      signature = MD5
    }
    File = "/mnt/Git/"
  }
}
